Bug 842450

Summary: [ja_JP] failed pofilter newlines test for candlepin translations
Product: [Community] Candlepin Reporter: Sharath Dwaral <fsharath>
Component: candlepinAssignee: Bryan Kearney <bkearney>
Status: CLOSED CURRENTRELEASE QA Contact: Eric Sammons <esammons>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 0.9CC: ankit, jgalipea, jsefler
Target Milestone: ---Keywords: i18n, Translation
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-09 12:45:17 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 771748    

Description Sharath Dwaral 2012-07-23 17:38:54 EDT
Description of problem:
Translated string on candlepin for ja_JP have unwanted newline and tab inserted

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

$ ssh -XYC root@fsharath-candlepin.usersys.redhat.com

reverse mapping checking getaddrinfo for unused [10.16.120.164] failed - POSSIBLE BREAK-IN ATTEMPT!
root@fsharath-candlepin.usersys.redhat.com's password: 

Last login: Mon Jul 23 13:28:52 2012 from dhcp-230-63.rdu.redhat.com

# pofilter --gnome -t newlines /root/candlepin/po/ja.po

processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-06-27 12:35-0400\n"
"PO-Revision-Date: 2012-06-06 11:01-0400\n"
"Last-Translator: noriko <noriko@fedoraproject.org>\n"
"Language-Team: Japanese\n"
"Language: ja\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=1; plural=0\n"
"X-Generator: Zanata 1.5.0\n"

# translation auto-copied from project Candlepin, version master, document
# keys, author khasida
# (pofilter) newlines: Different line endings
#: src/main/java/org/candlepin/resource/ActivationKeyResource.java:135

msgid "The quantity must be greater than 0"
msgstr ""
"数量はゼロ以上の数値にして下さい\n"
"\t"

# translation auto-copied from project Candlepin, version master, document
# keys, author khasida
# (pofilter) newlines: Different line endings
#: src/main/java/org/candlepin/resource/ConsumerResource.java:1188
msgid "Cannot specify a quantity when auto-binding."
msgstr ""
"自動バインドの時は数量を指定できません。\n"
"\t"
[###########################################] 100%

  
Actual results:
Shown above

Expected results:

msgid "The quantity must be greater than 0"
msgstr ""
"数量はゼロ以上の数値にして下さい\n"
"\t"

msgstr ""
"自動バインドの時は数量を指定できません。\n"
"\t"

msgstr has newline and tab characters inserted.
Comment 1 Bryan Kearney 2012-08-14 13:59:08 EDT
Fixed the strings in zanata, and in candleping master.

[bkearney@bkearney po]$ pofilter --gnome -t newlines ja.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney po]$ 


fixed in master at af8f45e19f625d4698736b0af2fd9f78a81fdd1d
Comment 2 John Sefler 2012-10-20 10:50:52 EDT
Verifying Version...
[root@jsefler-candlepin po]# git log | head -1
commit 42378c4866bd1c389d09b82b0251bcb6eaa6b5e5

[root@jsefler-candlepin po]# pofilter -t newlines ja.po
processing 1 files...
[###########################################] 100%

[root@jsefler-candlepin po]# grep "The quantity must be greater than 0" ja.po -A1
msgid "The quantity must be greater than 0"
msgstr "数量はゼロ以上の数値にして下さい"
[root@jsefler-candlepin po]# 


Moving to VERIFIED
Comment 3 Bryan Kearney 2013-01-09 12:45:17 EST
Batch change of verified bugs which must have missed making the errata.